Subject: Re: [Gen-art] review of draft-ietf-sidrops-bgpsec-rollover-02.txt

From: Alissa Cooper <[email-masked]>
Date: Wed, 29 Nov 2017 16:23:42 -0500

Francis, thanks for your review. Brian, thanks for your response. I have entered a No Objection ballot.

Personally I think the usage of “may” in Section 2 is fine.

Alissa

> On Oct 9, 2017, at 8:25 PM, Brian Weis (bew) <[email-masked]> wrote:
> 
> Hi Francis,
> 
> Thanks for your review. I’ve addressed the nits as you’ve suggest, although there are a couple of notes inline.
> 
>> On Oct 9, 2017, at 6:32 AM, Francis Dupont <[email-masked]> wrote:
>> 
>> I am the assigned Gen-ART reviewer for this draft. The General Area
>> Review Team (Gen-ART) reviews all IETF documents being processed
>> by the IESG for the IETF Chair.  Please treat these comments just
>> like any other last call comments.
>> 
>> For more information, please see the FAQ at
>> 
>> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>> 
>> Document: draft-ietf-sidrops-bgpsec-rollover-02.txt
>> Reviewer: Francis Dupont
>> Review Date: 20171007
>> IETF LC End Date: 20171017
>> IESG Telechat date: unknown
>> 
>> Summary: Ready
>> 
>> Major issues: None
>> 
>> Minor issues: None
>> 
>> Nits/editorial comments: 
>> IMHO the language itself needs some improvements. Unfortunately I am not
>> a native English writer so I can only be a limited help...
>> 
>> - Abstract page 1: bad wording in
>> "... certificates BGPsec router certificates"
>> 
>> - Abstract page 1: Normal -> normal
>> 
>> - Abstract page 1: "creating" does not fit in grammar. Perhaps
>> "which create”?
> 
> BEW: I’ve made this much simpler and removed “create” altogether:
> 
>  “The  rollover must be carefully managed in order to synchronize the
>   distribution of router public keys with BGPsec Update messages
>   verified with those router public keys."
> 
>> 
>> - Abstract page 1: I suggest accomplished -> performed
>> (this point is typical of why a native English writer will really help)
>> 
>> - ToC page 2 and 4/4.2 page 7: titles of 4 and 4.2 are too close
> 
> BEW: I’m not sure what I can do here, and looking at the .txt file I don’t see the spacing issue. I’ve used xml2rfc, which chooses the way titles are spaced. Can you clarify?
>> 
>> - ToC page 2 and 7 page 9: Acknowledgements -> Acknowledgments
>> 
>> - 2 page 2: I suggest
>> the local policies of a network. -> the local policies of network.
> 
> BEW: How about "This process will need to happen at regular intervals, normally due to policies of the local network.”?
> 
>> 
>> - 2 page 3: as the 2119 lowe case keyword issue is now solved you may
>> use "may" as in "documents may reference" but perhaps with an upgrade
>> to the standard 2119 reference text. I am asking to the gen-art what
>> to do (and I expect to get an answer before the LC).
> 
> BEW: Thanks, will wait for guidance.
> 
> Thanks,
> Brian
> 
>> 
>> - 2 page 3, 3.1 and 4 page 6:
>>  roll-over -> rollover (i.e. keep one spelling)
>> 
>> - 4.2 page 7: i.e. -> i.e.,
>> 
>> Regards
>> 
>> [email-masked]
> 
> -- 
> Brian Weis
> Security, CSG, Cisco Systems
> Telephone: +1 408 526 4796
> Email: [email-masked]
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art